ubuntu ffdl qt bug

Post Reply
brainkidabc
Posts: 1
Joined: Fri 25. May 2012, 23:15

ubuntu ffdl qt bug

Post by brainkidabc » Sat 2. Jun 2012, 20:32

i think you have a qt library bug, i get this error on the new version startup, and it never opens.
v 0.6.1 ubuntu 10.04 lucid non admin, but never needed to run it as admin before
./fanficdownloader: symbol lookup error: ./fanficdownloader: undefined symbol: _ZN9QListData11detach_growEPii
this is the first bug ive ever had with ffdl, i love it, works beautifully, but could you send me the old version? i copied over it, stupidly :(
just registered as brainkidabc on the forum.

User avatar
Raimond
Administrator
Posts: 292
Joined: Sat 20. Nov 2010, 13:31
Contact:

Re: ubuntu ffdl qt bug

Post by Raimond » Thu 7. Jun 2012, 17:52

Hi,

it's compiled with QT 4.8.1 on an Ubuntu 32Bit system.

The program is working for me.
Could you try it with 0.6.3 again?

sry, I don't have a history of old files.

Rai

trashd
Posts: 1
Joined: Wed 6. Jun 2012, 23:13

Re: ubuntu ffdl qt bug

Post by trashd » Thu 7. Jun 2012, 23:03

Hi,

First, thanks for the soft, it's a great tool.
Regarding the issue on Linux, I have the exact same error message on Debian 6.0 (Squeeze) with QT 4.6.3.
It seems that the issue is caused when trying to run a soft compiled with a more recent version of QT.

From the post here: http://qt-project.org/forums/viewthread/15021, it appears that you'd have to use a lower version of QTSDK to solve this.
I don't know how feasible it is for you.

I'm not stuck myself, as I can always run FFDL on a windows box. Besides upgrading QT is not an option for me without either using an experimental repository or installing the libs manually.

Post Reply